1. Tickets
Public API
  • Welcome to the deskbird developer docs
  • Public API
    • Overview
    • Users
      • Lists company users
      • Retrieves a single company user
    • Bookings
      • Lists company bookings
      • Creates a new resource booking
      • Gets a single company booking
      • Updates an existing booking
      • Cancels a booking
      • Checks in to a booking
      • Releases a booking early
    • Groups
      • Lists company user groups
      • Retrieves a single company user group
    • Resources
      • Gets a resource by ID
      • Lists company resources
    • Offices
      • Lists company offices
      • Checks a user into an office
    • Scheduling
      • Lists company scheduling statuses
      • Deletes scheduling statuses by IDs
      • Adds new scheduling statuses for a user
    • Scheduling Options
      • Lists company scheduling options
    • Rooms
      • Lists company rooms
      • Gets a single room
      • Creates a room booking
      • Lists room bookings
      • Gets a single room booking
      • Updates a room booking
      • Checks in to a room booking
      • Cancels a room booking
      • Lists company room bookings
    • Floors
      • Lists company floors
    • Zones
      • Lists company zones
    • Tickets
      • Lists company tickets
        GET
      • Gets a single company ticket
        GET
      • Lists ticket categories
        GET
      • Updates a ticket
        PATCH
    • Sensors
      • Lists company monitors
      • Lists company network configurations
    • Visitors
      • Lists company visit types
      • Lists company visits
      • Gets a single company visit
    • Service requests
      • Lists company service requests
      • Lists service categories of an office
      • Gets a single company service request
  • MCP server
    • Overview
    • Authentication
    • Tools reference
  1. Tickets

Lists ticket categories

GET
/ticketing/categories
Retrieves the ticket categories configured for the company, with the custom fields reporters fill in for each one. Use it to resolve the category and customFields ids returned on a ticket. Service providers and external integration settings configured on a category are not returned.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://connect.deskbird.com/ticketing/categories?officeId=undefined' \
--header 'Authorization: Bearer <token>'

Responses

🟢200OK
application/json
Ticket categories configured for the company
Bodyapplication/json

Example
{
    "data": [
        {
            "id": "51eebc99-9c0b-4ef8-bb6d-6bb9bd380501",
            "name": "Facilities",
            "description": "Anything broken in the office",
            "officeId": "a1eebc99-9c0b-4ef8-bb6d-6bb9bd380a11",
            "isActive": true,
            "customFields": [
                {
                    "id": "a2eebc99-9c0b-4ef8-bb6d-6bb9bd380a02",
                    "label": "What is affected?",
                    "type": "shortText",
                    "isRequired": true,
                    "options": null
                }
            ],
            "createdAt": "2026-01-15T09:30:00.000Z",
            "updatedAt": "2026-06-01T08:00:00.000Z"
        }
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Previous
Gets a single company ticket
Next
Updates a ticket
Built with